package game.network;

import game.Server;
import game.packet.HPacketHandshake;

public class HandshakeHandlerMemory extends HandshakeHandler
{
    private final Server gmServer;
    private final NetConnection networkManager;

    public HandshakeHandlerMemory(Server gmServerIn, NetConnection networkManagerIn)
    {
        this.gmServer = gmServerIn;
        this.networkManager = networkManagerIn;
    }
    
    public void processHandshake(HPacketHandshake packetIn)
    {
        this.networkManager.setConnectionState(PacketRegistry.LOGIN);
        this.networkManager.setNetHandler(new LoginHandler(this.gmServer, this.networkManager));
    }
}
